<?xml version="1.0" encoding="windows-1251"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.10"
	Name="fgp"
	ProjectGUID="{90722286-28B9-4BC1-84CC-41BEF63A9FA4}"
	Keyword="Win32Proj">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="Debug"
			IntermediateDirectory="Debug"
			ConfigurationType="1"
			CharacterSet="2">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\..\magic\sdk\include;..\..\engine"
				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS,UNICODE,_UNICODE"
				MinimalRebuild="TRUE"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				RuntimeTypeInfo="TRUE"
				UsePrecompiledHeader="3"
				PrecompiledHeaderThrough="pch.h"
				WarningLevel="3"
				Detect64BitPortabilityProblems="TRUE"
				DebugInformationFormat="4"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="freetype2.lib winmm.lib d3d8.lib MagicFM.lib d3dx8.lib zlib.lib dsound.lib"
				OutputFile="$(OutDir)/fgp.exe"
				LinkIncremental="2"
				AdditionalLibraryDirectories="..\..\..\magic\sdk\library"
				IgnoreDefaultLibraryNames="libci, libc, libcd"
				GenerateDebugInformation="TRUE"
				ProgramDatabaseFile="$(OutDir)/fgp.pdb"
				SubSystem="1"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="Release"
			IntermediateDirectory="Release"
			ConfigurationType="1"
			CharacterSet="2">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				InlineFunctionExpansion="1"
				OmitFramePointers="TRUE"
				AdditionalIncludeDirectories="..\..\..\magic\sdk\include;..\..\engine"
				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS,UNICODE,_UNICODE"
				StringPooling="TRUE"
				RuntimeLibrary="2"
				EnableFunctionLevelLinking="TRUE"
				UsePrecompiledHeader="3"
				PrecompiledHeaderThrough="pch.h"
				WarningLevel="3"
				Detect64BitPortabilityProblems="TRUE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="winmm.lib d3d8.lib MagicFM.lib d3dx8.lib zlib.lib dsound.lib"
				OutputFile="$(OutDir)/fgp.exe"
				LinkIncremental="1"
				AdditionalLibraryDirectories="..\..\..\magic\sdk\library"
				IgnoreDefaultLibraryNames="libci, libc, libcd"
				GenerateDebugInformation="TRUE"
				SubSystem="1"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="src"
			Filter="cpp;c;cxx;def;odl;idl;hpj;bat;asm">
			<File
				RelativePath="level.cpp">
			</File>
			<File
				RelativePath="main.cpp">
			</File>
			<File
				RelativePath="model.cpp">
			</File>
			<File
				RelativePath=".\NmFileIO.cpp">
			</File>
			<File
				RelativePath="normalmap.cpp">
			</File>
			<File
				RelativePath="normalmapper.cpp">
			</File>
			<File
				RelativePath="pch.cpp">
				<FileConfiguration
					Name="Debug|Win32">
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="1"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32">
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="1"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\simplemodel.cpp">
			</File>
			<File
				RelativePath="util.cpp">
			</File>
		</Filter>
		<Filter
			Name="inc"
			Filter="h;hpp;hxx;hm;inl;inc">
			<File
				RelativePath="fgp.h">
			</File>
			<File
				RelativePath=".\NmFileIO.h">
			</File>
			<File
				RelativePath="normalmapper.h">
			</File>
			<File
				RelativePath="pch.h">
			</File>
			<File
				RelativePath=".\simplemodel.h">
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
